Make the whole 2D drawing completely flat?

2d

#21

Hello G…good to be of any help.
Technically, you are not “making a layer Of the import”…
you are only making a layer for the Control of it…
it still resides on Layer 0.

All our lines and faces…
all entities, are BEST made on Layer 0…
and Kept there…!

Then…
Grouping or Component-Making…
can be “Assigned and Controlled” by You…to other layers

PS:
“Layers” in Sketchup… are “Mind-Control”…
Layers in Cad and Photoshop… are Matter-Control.


#22

i TRIED THIS METHOD FOR A SIMILAR PROBLEM DONT SEEM TO GET IT .


#23

` i have a similar sort of issue . a project i am working on where the surveyor sent a file , all the lines are not in the same axis in autocad . so for obvious reasons after importing to sketchup the lines appear to be bizarre . dont seem to get it right even if i redraft the whole drawing. is there a solution …please help me out. working on a very tight timeline .:see_no_evil:


#24

DON’T YELL

we can here you fine without caps lock…

edit you post and downcase it…

john


#25

If you want help in a timely fashion, upload the SKP file so we can see exactly what you’ve got going on.

And as John wrote, don’t yell.


#26

sorry if it came accross such a way. Didnt pay attention to these details . !


#27

Untitled.skp (1.0 MB)
Sorry for coming across in such a way.
Please take a look.


#28

You do have a mess.

You could explode all the groups/components and use Drape from the Sandbox Tools to project the edges to a rectangular face drawn below.

I got through a bit of that but keep getting Bug Splats when trying to work on the file. Do you have the original DWG?


#29

Here it is exploded and draped in a Sketchup 2014 file.

To avoid the bugsplat during the explode operation I had to temporarily turn off of Edges, Profiles, Extension, and Endpoints in the Styles editor. Mostly likely there are still problems with the file (tiny edges perhaps) that you’ll have to sort out with a different set of extensions.

please flatten exploded draped (2014).skp (1.3 MB)

Edited to Add a second version which was created by scaling the original by 100x before draping and then scaling back down.

please flatten exploded 100x (2014).skp (2.2 MB)


#30

My code

mod = Sketchup.active_model
ent = mod.active_entities
sel = mod.selection
vrts = sel.grep(Sketchup::Edge).map{|e|e.vertices}.flatten.uniq
pnts = vrts.map{|v|v.position}
plane = [ORIGIN,Z_AXIS]
vecs = pnts.map{|p|p.vector_to(p.project_to_plane(plane))}
ent.transform_by_vectors(vrts,vecs)

flattened exploded draped (2014).skp (1.3 MB)
flattened exploded 100x (2014).skp (2.1 MB)


#31

One “flattening” trick that SketchUp Pro users can use is to go to top view, select parallel projection and export to 2D DWG to full scale, then re-import the DWG you created.


#32

IMHO: to not take advantage of AC layers before flattening and merging is foolhardy…

creating groups by layer [ with group geometry flattened on Layer0 ] is far more useful…

john


#33

i use DROPVERTICES… works for me!